
#include <stdlib.h>		// C Standard General Utilities Library
#include <stdio.h>		// C library to perform Input / Output operations
#include <stddef.h>		// C Standard definitions
#include <stdint.h>		// Integer types
#include <stdbool.h>	// Boolean type
#include <string.h>		// C Strings

#include "PlanetCNCLib.h"
#include "PlanetCNCLibTypeDef.h"

int main(void)
{
	printf("This is TNG API test!\n");

	printf("GetVer(): %d\n", GetVer());

	char* s = GetLibPath();
	printf("GetLibPath(): %s\n", s);
	FreeString(s);

	printf("GetVersionString(): %s\n", GetVersionString()); //do not free

	printf("IsRunning(): %d\n", IsRunning());
	printf("IsRunningExt(): %d\n", IsRunningExt());

	for (int id = 0; id < GetCmdCount(); id++)
	{
		printf("Id: %d", id);

		char* s = GetCmdName(id);
		//char* s = GetCmdDisplayName(id);
		//char* s = GetCmdDisplayNameWithPath(id);
		printf(" - %s", s);
		FreeString(s);

		//wchar_t* ws = GetCmdNameW(id);
		//wchar_t* ws = GetCmdDisplayNameW(id);
		//wchar_t* ws = GetCmdDisplayNameWithPathW(id);
		//wprintf(L" - %ls", ws);
		//FreeStringW(ws);

		printf("\n");
	}

	printf("Bye\n");

	getc(stdin);

	return 0;
}

